''' Top-level package for Ordr2. '''

__author__ = 'Holger Frey'
__email__ = 'frey@imtek.de'
__version__ = '0.0.1'


from pyramid.config import Configurator


def main(global_config, **settings):
    ''' This function returns a Pyramid WSGI application. '''
    config = Configurator(settings=settings)

    config.include('.models')
    config.include('.resources')
    config.include('.schemas')
    config.include('.security')
    config.include('.session')
    config.include('.views')

    # explicit include for jinja2 to enable rendering in events module
    config.include('pyramid_jinja2')

    config.scan()

    return config.make_wsgi_app()
