''' Session configuration '''

import binascii

from pyramid_nacl_session import EncryptedCookieSessionFactory


def includeme(config):
    ''' initializing session configuration

    Activate this setup using ``config.include('ordr2.session')``.
    '''

    settings = config.get_settings()
    hex_secret = settings['session.secret'].strip()
    secret = binascii.unhexlify(hex_secret)

    factory = EncryptedCookieSessionFactory(secret)
    config.set_session_factory(factory)
